Skip to main content
GET
/
v1
/
usage
Get usage statistics API
curl --request GET \
  --url https://api.technologychecker.io/v1/usage \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "owner_id": "user@example.com",
    "period": {
      "start": "2026-01-15T00:00:00Z",
      "end": "2026-02-14T23:59:59Z"
    },
    "keys": [
      {
        "id": "cedbb4a9-ee30-4b2f-bd88-a242749819b7",
        "key_prefix": "tapi_liv",
        "name": "Production Key",
        "plan": "pro",
        "status": "active",
        "credits": {
          "limit": 10000,
          "used": 687,
          "remaining": 9313,
          "reset_at": "2026-03-01T00:00:00.000Z"
        },
        "usage": {
          "total_requests": 4287,
          "successful_requests": 4022,
          "failed_requests": 265
        }
      }
    ],
    "totals": {
      "credits_limit": 10000,
      "credits_used": 687,
      "credits_remaining": 9313,
      "total_requests": 4287
    }
  }
}

Authorizations

Authorization
string
header
required

API key in format tapi_live_[32-char] (live) or tapi_test_[32-char] (test)

Query Parameters

start_date
string<date>

Start date in YYYY-MM-DD format (defaults to 30 days ago)

end_date
string<date>

End date in YYYY-MM-DD format (defaults to today)

Response

Usage statistics

success
boolean
Example:

true

data
object